Bug 242818 - www/py-pyjwt: Update to 1.7.1
Summary: www/py-pyjwt: Update to 1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks: 242819
  Show dependency treegraph
 
Reported: 2019-12-22 22:00 UTC by Goran Mekić
Modified: 2020-01-15 03:08 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback-


Attachments
py-pyjwt.diff (1.85 KB, patch)
2019-12-22 22:00 UTC, Goran Mekić
koobs: maintainer-approval+
Details | Diff
py-jwt.diff (2.01 KB, patch)
2020-01-14 14:39 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-22 22:00:12 UTC
Created attachment 210163 [details]
py-pyjwt.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (180 passed 1 xfailed 7 skipped)
Comment 1 Ben Woods freebsd_committer 2019-12-23 23:08:47 UTC
Comment on attachment 210163 [details]
py-pyjwt.diff

Awaiting maintainer feedback from Terje
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 14:32:59 UTC
Comment on attachment 210163 [details]
py-pyjwt.diff

Approved by: portmgr (maintainer timeout: > 14 days)

Pending QA
Comment 3 Goran Mekić 2020-01-14 14:39:13 UTC
Created attachment 210733 [details]
py-jwt.diff

I changed only MAINTAINER line. If Terje wishes to keep maintaining the port, I will be more than glad to revert MAINTAINER back.
Comment 4 Ben Woods freebsd_committer 2020-01-14 22:12:46 UTC
Hi Goran,

I think changing the maintainer would need another 2 weeks to give terje enough time to see this change and respond with feedback.

Can I suggest we progress this port update now without the maintainer change to get it in the ports tree, and perhaps you can submit the next patch / update with the maintainer change included?
Comment 5 commit-hook freebsd_committer 2020-01-14 22:20:55 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Jan 14 22:20:44 UTC 2020
New revision: 523072
URL: https://svnweb.freebsd.org/changeset/ports/523072

Log:
  www/py-pyjwt: Updtae to 1.7.1

  Changes this release:
    https://github.com/jpadilla/pyjwt/blob/1.7.1/CHANGELOG.md

  PR:		242818
  Submitted by:	Goran Meki? <meka@tilda.center>
  Approved by:	Terje Elde <terje@elde.net> (maintainer timeout)

Changes:
  head/www/py-pyjwt/Makefile
  head/www/py-pyjwt/distinfo
  head/www/py-pyjwt/files/
Comment 6 Ben Woods freebsd_committer 2020-01-14 22:21:52 UTC
Committed - thanks!
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-15 03:07:49 UTC
Comment on attachment 210163 [details]
py-pyjwt.diff

^Triage: This is the patch that landed, "unobsolete" accordingly
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-15 03:08:36 UTC
Comment on attachment 210733 [details]
py-jwt.diff

^Triage: This patch was skipped (do maintainer change later): obsolete it.